# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-binutils,v 1.7 2004/10/04 08:12:53 raorn Exp $

%mingw_tool

%define pkgname binutils

Name: %cross_arch-%pkgname
Version: 2.15.90.0.3
Release: alt3

Summary: GNU Binary Utility Development Utilities
License: GPL
Group: Development/Other
Url: http://sources.redhat.com/%pkgname/

Source: ftp://ftp.kernel.org/pub/linux/devel/%pkgname/%pkgname-%version.tar.bz2

# RH
Patch1: binutils-2.15.90.0.3-rh-eh-frame-ro.patch
Patch2: binutils-2.15.90.0.3-rh-tbss.patch

Conflicts: mingw32-gcc < 3.3.3-alt1

Obsoletes: mingw32-binutils
Provides: mingw32-binutils = %version-%release

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Tue Mar 02 2004 (-bi)
BuildRequires: flex

%description
Binutils is a collection of binary utilities, including:
+ addr2line: converting addresses to file and line;
+ ar: creating modifying and extracting from archives;
+ nm: listing symbols from object files;
+ objcopy: copying and translating object files;
+ objdump: displaying information from object files;
+ ranlib: generating an index for the contents of an archive;
+ size: listing the section sizes of an object or archive file;
+ strings: listing printable strings from files;
+ strip: discarding symbols.

%prep
%setup -q -n %pkgname-%version

%patch1 -p0
%patch2 -p0

%build
# Don't libtoolize unless we have the same version of libtool binutils uses.
%undefine __libtoolize
%configure \
	--disable-nls
%make_build

%install
%__mkdir_p %buildroot{%_archbindir,%_archlibdir,%_archincludedir}
%makeinstall

%__rm -rf %buildroot%_libdir/libiberty.a
%__rm -rf %buildroot%_datadir

%files
%_bindir/*
%_archbindir/*
%_archlibdir/ldscripts

%changelog
* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 2.15.90.0.3-alt3
- Some hackarounds, versioned builddeps

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 2.15.90.0.3-alt2
- Rebuilt with i386-mingw32msvc-devel

* Mon May 24 2004 Sir Raorn <raorn@altlinux.ru> 2.15.90.0.3-alt1
- [2.15.90.0.3] (-alt2)
- Dropped unneeded patches

* Wed Mar 31 2004 Sir Raorn <raorn@altlinux.ru> 2.14.90.0.8-alt1.1
- Removed deps on %%cross_arch-runtime
- Added %%_archprefix/{,bin,lib,include} dirs

* Tue Mar 02 2004 Sir Raorn <raorn@altlinux.ru> 2.14.90.0.8-alt1
- Renamed to %%cross_arch-binutils
- Synced with binutils-2.14.90.0.8-alt1


